View Issue Details

IDProjectCategoryView StatusLast Update
0038036FPCCompilerpublic2020-11-06 09:51
ReporterCyrax Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux x86_64OSArch 
Product Version3.3.1 
Fixed in Version3.3.1 
Summary0038036: Building FPC trunk compiler for i386-linux and i386-windows targets fails with EAccessViolation exception.
DescriptionUsing FPC 3.0.4 i386-linux to bootstrap whole process.

See Additional Information field for more info
Additional Information
make 'FPC=/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler/ppc1' 'OLDFPC=' next CYCLELEVEL=2
make[4]: Entering directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

make rtlclean
make[5]: Entering directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

make -C /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl clean
make[6]: Entering directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl'
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

/usr/bin/rm -f fpcmade.i386-linux *i386-linux.fpm Package.fpc *.s
/usr/bin/rm -f   script*.res link*.res *_script.res *_link.res
/usr/bin/rm -f ./ppas.sh *_ppas.sh ppas.sh ppaslink.sh
make -C linux clean
make[7]: Entering directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/linux'
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

/usr/bin/rm -f /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/system.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fpintres.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_prc.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_c21g.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_c21.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_c.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_dll.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_uc.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/uuchar.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unixtype.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ctypes.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/baseunix.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/strings.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/objpas.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/macpas.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/iso7185.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/extpas.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/syscall.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unixutil.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/heaptrc.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/lineinfo.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/lnfodwrf.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/termio.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unix.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/linux.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/initc.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cmem.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/x86.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ports.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpu.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/mmx.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/linuxvcs.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sysutils.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/typinfo.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/math.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/charset.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpall.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/character.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unixcp.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/getopts.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/errors.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/dl.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/dynlibs.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/types.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sysconst.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fpwidestring.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cthreads.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sortbase.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/classes.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fgl.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/rtlconsts.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/dos.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cwstring.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fpcylix.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/softfpu.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sfpux80.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ufloatx80.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sfpu128.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ufloat128.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/exeinfo.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1250.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1251.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1252.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1253.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1254.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1255.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1256.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1257.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1258.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp437.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp646.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp737.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp775.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp850.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp852.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp855.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp856.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp857.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp860.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp861.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp862.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp863.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp864.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp865.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp866.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp869.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp874.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp3021.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_1.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_2.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_3.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_4.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_5.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_6.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_7.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_8.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_9.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_10.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_11.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_13.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_14.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_15.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_16.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpkoi8_r.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpkoi8_u.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unicodedata.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unicodenumtable.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/syslinux.ppu /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/linux.ppu
/usr/bin/rm -f /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/system.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fpintres.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_prc.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_c21g.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_c21.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_c.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_dll.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/si_uc.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/uuchar.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unixtype.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ctypes.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/baseunix.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/strings.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/objpas.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/macpas.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/iso7185.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/extpas.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/syscall.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unixutil.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/heaptrc.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/lineinfo.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/lnfodwrf.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/termio.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unix.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/linux.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/initc.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cmem.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/x86.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ports.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpu.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/mmx.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/linuxvcs.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sysutils.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/typinfo.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/math.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/charset.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpall.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/character.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unixcp.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/getopts.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/errors.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/dl.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/dynlibs.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/types.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sysconst.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fpwidestring.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cthreads.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sortbase.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/classes.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fgl.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/rtlconsts.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/dos.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cwstring.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/fpcylix.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/softfpu.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sfpux80.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ufloatx80.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sfpu128.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/ufloat128.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/exeinfo.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1250.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1251.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1252.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1253.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1254.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1255.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1256.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1257.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp1258.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp437.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp646.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp737.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp775.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp850.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp852.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp855.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp856.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp857.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp860.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp861.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp862.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp863.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp864.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp865.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp866.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp869.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp874.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp3021.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_1.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_2.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_3.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_4.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_5.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_6.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_7.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_8.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_9.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_10.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_11.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_13.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_14.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_15.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cp8859_16.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpkoi8_r.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/cpkoi8_u.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unicodedata.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/unicodenumtable.o /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/linux.o
/usr/bin/rm -f /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/math.rst /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/typinfo.rst /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/sysconst.rst /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux/rtlconsts.rst
/usr/bin/rm -f fpcmade.i386-linux *i386-linux.fpm Package.fpc *.s
/usr/bin/rm -f   script*.res link*.res *_script.res *_link.res
/usr/bin/rm -f ./ppas.sh *_ppas.sh ppas.sh ppaslink.sh
make[7]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/linux'
make[6]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl'
make[5]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make rtl
make[5]: Entering directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

make -C /mnt/shares/ohjelmointi2/fpc/source/git_source/rtl 'OPT=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -Sew- -XX- -CX- -dEXTDEBUG -vh- -vn- -vw- -dDEBUG_NODE_XML -Cit -gt -gv -Cg   -Fl/lib -Fl/usr/lib -Fl/usr/lib/gcc/i686-pc-linux-gnu/10.2.0 -dTEST_WIN32_SEH -DD2020/11/04' all
make[6]: Entering directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl'
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

make -C linux all
make[7]: Entering directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/linux'
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler/ppc1 -Ur -XX -CX -Ur -Xs -O2 -n -Fi../inc -Fi../i386 -Fi../unix -Fii386 -FE. -FU/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux -Fl/usr/lib/gcc/i686-pc-linux-gnu/10.2.0 -gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -Sew- -XX- -CX- -dEXTDEBUG -vh- -vn- -vw- -dDEBUG_NODE_XML -Cit -gt -gv -Cg -Fl/lib -Fl/usr/lib -Fl/usr/lib/gcc/i686-pc-linux-gnu/10.2.0 -dTEST_WIN32_SEH -DD2020/11/04 -di386 -dRELEASE  -Us -Sg system.pp
An unhandled exception occurred at $0806992C:
EAccessViolation: 
  $0806992C
  $08069ACA
  $08069BBA
  $080684FB
  $0805F6B8
  $08065D34
  $08076EB2
  $08066F4F
  $0806727A
  $080672C6
  $08067334
  $080493BE

make[7]: *** [Makefile:4332: system.ppu] Error 217
make[7]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/linux'
make[6]: *** [Makefile:2219: linux_all] Error 2
make[6]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl'
make[5]: *** [Makefile:5089: rtl] Error 2
make[5]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[4]: *** [Makefile:4935: next] Error 2
make[4]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[3]: *** [Makefile:4945: ppc2] Error 2
make[3]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[2]: *** [Makefile:4957: cycle] Error 2
make[2]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[1]: *** [Makefile:3050: compiler_cycle] Error 2
make[1]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source'
make: *** [Makefile:3082: build-stamp.i386-linux] Error 2
TagsNo tags attached.
Fixed in Revisionr47311
FPCOldBugId
FPCTarget-
Attached Files

Activities

Cyrax

2020-11-04 21:40

reporter   ~0126739

Stack trace
    $0806992C file: ../rtl/inc/heap.inc : 1127; 
    $08069ACA file: ../rtl/inc/heap.inc : 1188; 
    $08069BBA file: ../rtl/inc/heap.inc : 1232; 
    $080684FB file: ../rtl/inc/heap.inc : 326; 
    $0805F6B8 file: ../rtl/inc/dynarr.inc : 117; 
    $08065D34 file: ../rtl/inc/rtti.inc : 271; 
    $08076EB2
    $08066F4F file: ../rtl/inc/system.inc : 1133; 
    $0806727A file: ../rtl/inc/system.inc : 1215; 
    $080672C6 file: ../rtl/inc/system.inc : 1258; 
    $08067334 file: ../rtl/inc/system.inc : 1281; 
    $080493BE file: pp.pas : 293; 

Cyrax

2020-11-04 22:10

reporter   ~0126740

make clean all install OS_TARGET=linux CPU_TARGET=i386 OPT="-gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -Sew- -XX- -CX- -dEXTDEBUG -vh- -vn- -vw- -dDEBUG_NODE_XML -Cit -gt -gv -Cg   -Fl/lib -Fl/usr/lib -Fl/usr/lib/gcc/i686-pc-linux-gnu/10.2.0 -dTEST_WIN32_SEH" FPC=fpc REVSTR=47310 IDE=1 NOWPOCYCLE=1 ALLOW_WARNINGS=1 LINKSMART=0 CREATESMART=0 INSTALL_PREFIX="/mnt/shares/ohjelmointi2/fpc/i386/trunk/3.3.1/binary/trunk"


Hmm, I have suspicion on option -gv (debugging support for valgrind) which causes this bug to occur because using that option adds explicitly cmem unit and r47308 added usage of dynamic array in the System unit. Thus when dynamic array is freed end of program execution, cmem is used to free memory allocated by old memory manager and then the exception occurs.

Cyrax

2020-11-05 03:09

reporter   ~0126748

r47311 have fixed this bug.

Jonas Maebe

2020-11-05 18:57

manager   ~0126761

Thanks for following up.

Issue History

Date Modified Username Field Change
2020-11-04 21:18 Cyrax New Issue
2020-11-04 21:40 Cyrax Note Added: 0126739
2020-11-04 22:10 Cyrax Note Added: 0126740
2020-11-05 03:09 Cyrax Note Added: 0126748
2020-11-05 18:57 Jonas Maebe Assigned To => Jonas Maebe
2020-11-05 18:57 Jonas Maebe Status new => resolved
2020-11-05 18:57 Jonas Maebe Resolution open => fixed
2020-11-05 18:57 Jonas Maebe Fixed in Version => 3.3.1
2020-11-05 18:57 Jonas Maebe Fixed in Revision => r47311
2020-11-05 18:57 Jonas Maebe FPCTarget => -
2020-11-05 18:57 Jonas Maebe Note Added: 0126761
2020-11-06 09:51 Cyrax Status resolved => closed